package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjGtjkrxx;

/**
 * 共同借款人信息Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjGtjkrxxService 
{
    /**
     * 查询共同借款人信息
     * 
     * @param ID 共同借款人信息ID
     * @return 共同借款人信息
     */
    public TgjjGtjkrxx selectTgjjGtjkrxxById(Long ID);

    /**
     * 查询共同借款人信息列表
     * 
     * @param tgjjGtjkrxx 共同借款人信息
     * @return 共同借款人信息集合
     */
    public List<TgjjGtjkrxx> selectTgjjGtjkrxxList(TgjjGtjkrxx tgjjGtjkrxx);

    /**
     * 新增共同借款人信息
     * 
     * @param tgjjGtjkrxx 共同借款人信息
     * @return 结果
     */
    public int insertTgjjGtjkrxx(TgjjGtjkrxx tgjjGtjkrxx);

    /**
     * 修改共同借款人信息
     * 
     * @param tgjjGtjkrxx 共同借款人信息
     * @return 结果
     */
    public int updateTgjjGtjkrxx(TgjjGtjkrxx tgjjGtjkrxx);

    /**
     * 批量删除共同借款人信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjGtjkrxxByIds(String ids);

    /**
     * 删除共同借款人信息信息
     * 
     * @param ID 共同借款人信息ID
     * @return 结果
     */
    public int deleteTgjjGtjkrxxById(Long ID);
}
